From: "Anthony G. Basile" <blueness@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-portage/grs/
Date: Wed, 27 Dec 2017 17:18:46 +0000 (UTC) [thread overview]
Message-ID: <1514395108.d37ac6bfd88dec5d0d8ad993116d72b00de0866e.blueness@gentoo> (raw)
commit: d37ac6bfd88dec5d0d8ad993116d72b00de0866e
Author: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 27 17:18:28 2017 +0000
Commit: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Wed Dec 27 17:18:28 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d37ac6bf
app-portage/grs: version bump to 0.6
Package-Manager: Portage-2.3.13, Repoman-2.3.3
app-portage/grs/Manifest | 1 +
app-portage/grs/grs-0.6.ebuild | 53 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/app-portage/grs/Manifest b/app-portage/grs/Manifest
index 7385c0e4bda..d918c917977 100644
--- a/app-portage/grs/Manifest
+++ b/app-portage/grs/Manifest
@@ -1,2 +1,3 @@
DIST grs-0.4.tar.gz 34212 BLAKE2B 79790e5fc3930336489d43a96236c953e50c875c78e3dbaa99103459b4e62235dd4fb43b205e653066d795999d1034b7fee93c58f7f9cdc34f4680dde48de883 SHA512 e24879aabf7d9d029f584693dcb5e6578d5e14ab9e2588143883b7a27174184a2e2c30d08bf140a1bb45b7ab80c10e73f5ccf96de0bea8185d326ce0ce83fa11
DIST grs-0.5.tar.gz 34213 BLAKE2B 3745d68db8da65f72e3b82ed2350d8a8696848d451aa3da5c941174403be7fea9a4b7536cdf532d0d89b6014817c14f874d0dbca3408bdd8326e88396767f119 SHA512 85cb78d898c266fe4f1a5298d3add20fb127d43469cd00d32400bebf0c7350c07b581f9e8714a32db62c57f5a92fca0cbe66f0e2812dab86f57d9e8c66aaab7f
+DIST grs-0.6.tar.gz 34752 BLAKE2B cbd99ba7fea491db032d08cd1daa5a18cab8e8f21110bbe7d6d9c2b532776a9c9f55bd4a1d2b9bd6ea5fdaefdd2fb5af5b35beb6adcfe57d0d02b779c6ceaacb SHA512 ede5117ffe5dad982366b3acabc98bc018cc74aa079080f1a20fe31e86bca0b6ed48589ce22a400bf43d882f17dc630a4f7c99a7f7b4a4cb7c6f2f97974ecc5d
diff --git a/app-portage/grs/grs-0.6.ebuild b/app-portage/grs/grs-0.6.ebuild
new file mode 100644
index 00000000000..5e16f8b436e
--- /dev/null
+++ b/app-portage/grs/grs-0.6.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit distutils-r1 linux-info
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/grss.git"
+ inherit git-r3
+else
+ SRC_URI="https://dev.gentoo.org/~blueness/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Suite to build Gentoo Reference Systems"
+HOMEPAGE="https://dev.gentoo.org/~blueness/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="server"
+
+DEPEND=""
+RDEPEND="
+ sys-apps/portage
+ server? (
+ app-arch/tar[xattr]
+ app-crypt/md5deep
+ dev-libs/libcgroup
+ dev-vcs/git
+ net-misc/rsync
+ sys-fs/squashfs-tools
+ virtual/cdrtools
+ || (
+ sys-kernel/genkernel
+ sys-kernel/genkernel-next
+ )
+ )"
+
+pkg_setup() {
+ if use server; then
+ local CONFIG_CHECK="~CGROUPS"
+ local ERROR_CGROUPS="WARNING: grsrun requires CONFIG_CGROUPS enabled in the kernel."
+ linux-info_pkg_setup
+ fi
+}
+
+src_install() {
+ distutils-r1_src_install
+ echo "CONFIG_PROTECT=\"/etc/grs/systems.conf\"" > "${T}"/20grs
+ doenvd "${T}"/20grs
+}
next reply other threads:[~2017-12-27 17:18 UTC|newest]
Thread overview: 51+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-27 17:18 Anthony G. Basile [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-22 15:28 [gentoo-commits] repo/gentoo:master commit in: app-portage/grs/ Anthony G. Basile
2024-06-10 18:16 Anthony G. Basile
2023-03-06 18:07 Anthony G. Basile
2023-01-11 8:07 Sam James
2022-08-01 17:05 Anthony G. Basile
2022-07-25 13:38 Anthony G. Basile
2022-07-21 16:21 Anthony G. Basile
2022-07-18 20:02 Anthony G. Basile
2021-09-24 11:10 Anthony G. Basile
2021-08-05 6:39 Anthony G. Basile
2020-12-18 9:00 Michał Górny
2020-06-05 15:46 Anthony G. Basile
2020-06-05 15:46 Anthony G. Basile
2019-12-26 17:02 Anthony G. Basile
2019-05-18 10:02 Michał Górny
2019-04-20 18:13 Anthony G. Basile
2019-04-16 12:53 Anthony G. Basile
2018-12-06 11:16 Anthony G. Basile
2018-11-14 23:00 Anthony G. Basile
2018-11-14 22:22 Anthony G. Basile
2018-11-07 6:23 Anthony G. Basile
2018-11-07 6:23 Anthony G. Basile
2018-03-21 18:12 Michał Górny
2018-01-20 13:54 Anthony G. Basile
2018-01-15 19:14 Anthony G. Basile
2018-01-15 12:27 Anthony G. Basile
2018-01-15 1:30 Anthony G. Basile
2018-01-14 17:37 Anthony G. Basile
2018-01-14 11:43 Anthony G. Basile
2018-01-14 9:49 Anthony G. Basile
2017-12-27 17:23 Anthony G. Basile
2017-12-27 17:21 Anthony G. Basile
2017-12-27 8:03 Anthony G. Basile
2017-12-25 14:43 David Seifert
2017-04-22 9:56 Pacho Ramos
2016-03-07 0:11 Anthony G. Basile
2016-03-07 0:11 Anthony G. Basile
2016-02-23 1:50 Anthony G. Basile
2016-02-23 1:30 Anthony G. Basile
2016-02-23 0:46 Anthony G. Basile
2016-01-09 21:22 Anthony G. Basile
2016-01-09 21:22 Anthony G. Basile
2015-12-09 17:02 Anthony G. Basile
2015-12-09 17:02 Anthony G. Basile
2015-10-13 21:57 Anthony G. Basile
2015-09-25 1:03 Anthony G. Basile
2015-09-22 19:34 Anthony G. Basile
2015-09-22 19:34 Anthony G. Basile
2015-08-13 13:44 Anthony G. Basile
2015-08-12 0:06 Anthony G. Basile
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1514395108.d37ac6bfd88dec5d0d8ad993116d72b00de0866e.blueness@gentoo \
--to=blueness@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox